{{/*
SPDX-FileCopyrightText: 2023 IG BvC (Interessengemeinschaft Betrieb von Containern)
SPDX-License-Identifier: Apache-2.0
*/}}
---
apiVersion: kyverno.io/v1
kind: ClusterPolicy
metadata:
  annotations:
    policies.kyverno.io/category: Sample
    policies.kyverno.io/description: Sample policy that sets imagePullPolicy to "Always"
      when the "latest" tag is used.
    policies.kyverno.io/severity: medium
    policies.kyverno.io/subject: Pod
    policies.kyverno.io/title: Set imagePullPolicy
    policies.opencode.de/ID: tbd
    policies.opencode.de/bsi-requirement: tbd
    policies.opencode.de/release-version: 0.0.3-alpha
  labels:
    policies.opencode.de/bsi-protection-requirement: standard
    policies.opencode.de/category: should
  name: imagepullpolicy-always
spec:
  background: true
  rules:
  - match:
      resources:
        kinds:
        - Pod
    name: imagepullpolicy-always
    validate:
      message: The imagePullPolicy must be set to `Always` when the tag `latest` is
        used.
      pattern:
        spec:
          containers:
          - (image): '*:latest | !*:*'
            imagePullPolicy: Always
  validationFailureAction: audit
...
